<?php

class editorComponents extends sfComponents
{
  public function executeLeftPanel() {

  }
  public function executePlayer() {
	$ref = $this->getRequestParameter('ref');
  	$film_slug = $this->getRequestParameter('film_slug');

  	// retrieve infos in database
  	$query = Doctrine_Query::create()
      ->from('ThdFilm F')
      ->leftJoin('F.images I ')
      ->leftJoin('F.videos V')
      ->where("F.ref='{$ref}'");
    $this->film = $query->execute()->getFirst();
	  if (!$this->film) return sfView::NONE;

	  // retrieve video infos
	  $videos = $this->film->getVideos();
	  $this->filmVideo = ($videos) ? $videos[0] : null;

  	return sfView::SUCCESS;
  }

  public function executeSegmentList() {

  }
}